package com.example.what_the_fantasy.data.services

import android.annotation.SuppressLint
import android.util.Log
import com.example.what_the_fantasy.data.local.UserStub
import com.example.what_the_fantasy.data.local.UserStub.users
import com.example.what_the_fantasy.data.model.User
import com.example.what_the_fantasy.ui.components.hashPassword
import java.time.LocalDate

class ServicesStub : IServices {
    override fun EditUsername(username: String, index : Int) {
        val user = getUserById(index)
        user?.username = username

        //Afficher tous les users
        debugDisplayUser(getAllUsers(), "UsernameUpdate")

    }

    override fun EditEmail(email: String,index : Int) {
        val user = getUserById(index)
        user?.email = email

        //Afficher tous les users
        debugDisplayUser(getAllUsers(), "EmailUpdate")
    }

    override fun EditPasswd(passwd: String,index : Int) {
        val user = getUserById(index)
        val passwordhash = hashPassword(passwd)
        user?.password = passwordhash

        //Afficher tous les users en log
        debugDisplayUser(getAllUsers(), "PasswordUpdate")
    }

    override fun EditImage(imageURL: String,index : Int) {
        TODO("Not yet implemented")
    }

    override fun CreateUser(username: String, email: String, passwd: String, imageURL: String, services : IServices) : Boolean {
        val date =dateDuJour()
        val passwordhash = hashPassword(passwd)

        val userStub = services.getAllUsers()
        val nbUser = userStub.size
        for (user in userStub) {
            if (user.username == username) {
                return false
            }
        }
        val user = User(nbUser+1,username, email, imageURL, date, passwordhash)
        users.add(user)//ajout au stub

        //Afficher tous les users
        debugDisplayUser(users, "CreateUser")
        return true
    }

    override fun getAllUsers(): List<User> = users

    override fun getUserById(id: Int): User? {
        return (users.find { it.id == id+1 })
    }

    override fun SearchQuote(quote: String) {
        TODO("Not yet implemented")
    }

    override fun getFavorite(username: String) {
        TODO("Not yet implemented")
    }


    //------------------------------------------------------
    @SuppressLint("NewApi")
    fun dateDuJour(): String {
        val date = LocalDate.now()
        return date.toString()
    }


    private fun debugDisplayUser(users : List<User>, titleLog : String){
        for(user in users){
            Log.e(titleLog, "User created: ${user.username} => ${user.email} => ${user.password}")
        }
    }
}